Alt account of @Badabinski

Just a sweaty nerd interested in software, home automation, emotional issues, and polite discourse about all of the above.

  • 0 Posts
  • 244 Comments
Joined 2 years ago
cake
Cake day: June 9th, 2024

help-circle
  • Current sodium chemistries have a kinda shitty voltage curve. I expect it will get better, but right now a LOT of the power delivery happens with voltages below 3 volts. LFP batteries deliver most of their power at higher voltages which lets you use thinner conductors and cheaper/more efficient electronics.

    Again, not saying that it’s necessarily an inherent flaw in sodium chemistries, just that the current generation that people can access and test right now is unsuitable for some tasks.


  • If I understand it correctly, it’s just that any infringement onto the liberties of other sentient beings is not tolerable to people who take it to that degree. To harvest wool, you do have to contain the sheep and potentially put them through experiences they would not choose for themselves. I’m not a vegan so it wouldn’t really be right for me to mangle their philosophy any more than I already have, but I believe that’s the gist.




  • set -e: Exit on error. Very useful, but notoriously weird with edge cases (especially inside conditionals like if statements, while loops, and pipelines). Don’t rely on it blindly as it can create false confidence. (Pro-tip: consider set -euo pipefail for a more robust safety net, but learn its caveats first.)

    while I appreciate that the author mentions how weird this is, nobody is going to learn all the caveats correctly. Don’t use set -e. Don’t use set -e. Don’t use set -e. It’s a shit ass broken ass fucked feature that half of nobody understands well. Here’s a great wiki page explaining why it’s trash: https://mywiki.wooledge.org/BashFAQ/105

    People like Go, and Go requires you to manually and stupidly handle every possible error case. Why not do the same for shell? It’s really quite easy:

    #!/usr/bin/env bash
    echoerr() { echo "$@" 1>&2; }
    
    die() {
      message="$1"; shift
      exit_code="${1:-1}"
      echoerr "$message"
      exit "$exit_code"
    }
    
    temp_dir="$HOME/tmp"
    mkdir -p "$temp_dir" || die "Failed to make persistent temporary dir $temp_dir"
    lc_dir="$(mktemp -d -p "$temp_dir")" || die "Failed to make target dir in $temp_dir"
    

    Look at that, descriptive error messages! And it doesn’t depend on a shell feature that is inconsistent between versions with no good documentation about all of the fucked up caveats.



  • These other responses are annoying. This looks really cool, and I hope that it works well for you and your friends! We definitely need good discord alternatives ASAP, and more options are better imo.

    One cool feature would be some sort of official support for interop/bridging to other services. That might help to boost adoption and would make the “why not just contribute to Y” people be quiet.






  • I use a textured sheet for all of my Prusament PLA prints on my Core One and XL, and it’s never given me a hint of trouble. I’m using the Prusa-provided profiles with zero tweaks.

    I just hit it with a bunch of 99% IPA while it’s cold and scrub it with paper towels before every single print. I don’t heat it up until all of the IPA has dissolved, since apparently PEI is incompatible with hot IPA. I’ve never washed my sheets with soap, I’ve never applied any sort of bonding agents to them, and I’ve never sanded them.

    Maybe you just have a bad print sheet?